This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### x
Examples |
    PVector v;

    void setup() {
      size(100, 100);
      v = new PVector(20.0, 30.0, 40.0);
      println(v.x);  // Prints "20.0"
      println(v.y);  // Prints "30.0"
      println(v.z);  // Prints "40.0"
      v.x = 50.0;
      println(v.x);  // Prints "50.0"
    }
Description | The x component of the vector. This field (variable) can be used to both get and set the value (see above example.)
Syntax |
    .x
Parameters |
| PVector:

Updated on October 26, 2013 08:58:33pm PDT